<template>
  <div id="iot3d"></div>
</template>

<script setup>
import { ref,onMounted } from 'vue';
import { IOT3D } from 'https://vdata.baozhida.cn/3d1v/static/js/version/IOT3Dv2.2.js';
const canvasRef = ref()
onMounted(()=>{
  const iot3d = new IOT3D('iot3d', false);
  iot3d.loadProject('W2N495VQH1UPGIFJKSZEMOY0C637AT8R', true, () => {
    iot3d.GetRenderer().setClearColor(0x000000, 0);
    iot3d.GetRenderer().setSize(window.innerWidth, window.innerHeight);
    iot3d.GetRenderer().setPixelRatio(window.devicePixelRatio);
  });
})


</script>
<!-- <style lang="scss">
  #iot3d{
    display: flex;
    justify-content: center;
    align-items: center;
  }
</style> -->